UpdateStatement.ParsedInsert (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3.statements

## Class UpdateStatement.ParsedInsert

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.CFStatement
    - - org.apache.cassandra.cql3.statements.ModificationStatement.Parsed
      - - org.apache.cassandra.cql3.statements.UpdateStatement.ParsedInsert

- Enclosing class:
    UpdateStatement

      public static class UpdateStatement.ParsedInsert
      extends ModificationStatement.Parsed

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `ParsedStatement.Prepared`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.statements.ModificationStatement.Parsed

      `attrs, conditions`

    - ### Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement

      `cfName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParsedInsert(CFName name, Attributes.Raw attrs, java.util.List<ColumnIdentifier.Raw> columnNames, java.util.List<Term.Raw> columnValues, boolean ifNotExists)` A parsed `INSERT` statement.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ModificationStatement` | `prepareInternal(CFMetaData cfm, VariableSpecifications boundNames, Attributes attrs)`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.ModificationStatement.Parsed

      `prepare, prepare`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement

      `columnFamily, keyspace, prepareKeyspace, prepareKeyspace`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `getBoundVariables, getFunctions, setBoundVariables`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParsedInsert

          public ParsedInsert(CFName name,
                              Attributes.Raw attrs,
                              java.util.List<ColumnIdentifier.Raw> columnNames,
                              java.util.List<Term.Raw> columnValues,
                              boolean ifNotExists)

      A parsed `INSERT` statement.
      Parameters:
        `name` - column family being operated on
        `attrs` - additional attributes for statement (CL, timestamp, timeToLive)
        `columnNames` - list of column names
        `columnValues` - list of column values (corresponds to names)
        `ifNotExists` - true if an IF NOT EXISTS condition was specified, false otherwise

  - ### Method Detail

    - #### prepareInternal

          protected ModificationStatement prepareInternal(CFMetaData cfm,
                                                          VariableSpecifications boundNames,
                                                          Attributes attrs)
                                                   throws InvalidRequestException

      Specified by:
        `prepareInternal` in class `ModificationStatement.Parsed`
      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation